<div style="height: 51px; padding: 0 20px;">
    <div class="d-flex align-items-center h-100">
        <div class="d-flex w-100">
            <div class="cal-dialog-title quicksand">SETUP SCHEDULER</div>
        </div>
        <button mat-icon-button class="modalClosebtn" mat-dialog-close style="width: 24px; height: 24px; line-height: 24px; margin-right: 10px;" aria-label="Close dialog">
      <mat-icon class="m-0">close</mat-icon>
    </button>
    </div>
</div>
<mat-divider class="mb-3"></mat-divider>
<mat-dialog-content class="m-0 pb-3" style="padding-left: 40px; padding-right: 40px;">

    <div class="row">

        <div class="col-12">

            <div [formGroup]="formGroup">

                <!-- SCHEDULER TIMEZONE -->
                <div class="col-12 app-card" [ngStyle]="{height: formGroup.get('timeZone').hasError('required') && formGroup.get('timeZone').touched ? '150px' : '95px'}">
                    <div class="d-flex align-items-center w-100">

                        <div class="app-card-content-wrapper">
                            <div class="app-card-title">Scheduler Timezone</div>
                            <div class="app-card-content">
                                This Location’s Appointment Scheduler will show current day and time based on the selected timezone only.
                            </div>
                        </div>

                        <div class="app-card-control" style="width: 433px;">
                            <div class="w-100">
                                <div class="required-label-top required-label-top-container text-right">Required</div>
                                <mat-form-field [appearance]="apperance" class="m-0 p-0" style="height: 56px;">
                                    <mat-label>Timezone</mat-label>
                                    <mat-select formControlName="timeZone" placeholder="Set your scheduler timezone for this location">
                                        <mat-option *ngFor="let t of timezone" [value]="t.timeZone">
                                            {{ t.timeZone }}
                                        </mat-option>
                                    </mat-select>
                                    <mat-error *ngIf="formGroup.get('timeZone').hasError('required')">
                                        This field is required
                                    </mat-error>
                                </mat-form-field>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- START TIME -->
                <div class="col-12 app-card margin-20px">
                    <div class="d-flex align-items-center w-100">

                        <div class="app-card-content-wrapper">
                            <div class="app-card-title">Scheduler Start Time</div>
                            <div class="app-card-content">
                                This Location’s Appointment Scheduler will load the scheduler only from this Start Time.
                            </div>
                        </div>

                        <div class="app-card-control" style="width: 198px;">
                            <mat-form-field [appearance]="apperance" class="m-0 p-0" style="height: 56px;">
                                <mat-label>Start Time</mat-label>
                                <app-time-picker formControlName="startTime" icon="./assets/ic-clock-gray.png" [editable]="false" [isDisplayIcon]="true" [interval]="60"></app-time-picker>
                            </mat-form-field>
                        </div>
                    </div>
                </div>

                <!-- END TIME -->
                <div class="col-12 app-card margin-20px">
                    <div class="d-flex align-items-center w-100">

                        <div class="app-card-content-wrapper">
                            <div class="app-card-title">Scheduler End Time</div>
                            <div class="app-card-content">
                                This Location’s Appointment Scheduler will load the scheduler only until this End Time.
                            </div>
                        </div>

                        <div class="app-card-control" style="width: 198px;">
                            <mat-form-field [appearance]="apperance" class="full-width m-0 p-0" style="height: 56px;">
                                <mat-label>End Time</mat-label>
                                <app-time-picker label="End Time" [min]="min" icon="./assets/ic-clock-gray.png" [editable]="false" [isDisplayIcon]="true" formControlName="endTime" [interval]="60"></app-time-picker>
                            </mat-form-field>
                        </div>
                    </div>
                </div>

                <!-- TIME SLOT -->
                <div class="col-12 app-card margin-20px">
                    <div class="d-flex align-items-center w-100">

                        <div class="app-card-content-wrapper">
                            <div class="app-card-title">Scheduler Time Slot</div>
                            <div class="app-card-content">
                                Time Slot is the time interval set for this location, ever hour in the scheduler will be divided based on the selected time slot of this Location.
                                <br> Example: If you set Time Slot as 30 mins, your scheduler will show time interval like 8 AM, 8:30 AM, 9 AM, 9:30 AM etc.
                            </div>
                        </div>

                        <div class="app-card-control" style="width: 198px;">
                            <mat-form-field [appearance]="apperance" class="full-width m-0 p-0" style="height: 56px;">
                                <mat-label>TimeSlot</mat-label>
                                <mat-select formControlName="timeSlot">
                                    <mat-option *ngFor="let val of [5,10,15,20,30]" [value]="val">
                                        {{ val }} mins
                                    </mat-option>
                                </mat-select>
                            </mat-form-field>
                        </div>
                    </div>
                </div>

                <!-- TIME SLOT SIZE -->
                <div class="col-12 app-card margin-20px">
                    <div class="d-flex align-items-center w-100">

                        <div class="app-card-content-wrapper">
                            <div class="app-card-title">Scheduler Time Slot Size</div>
                            <div class="app-card-content">
                                Time slot size is the gap between the time lines in the scheduler.
                            </div>
                        </div>

                        <div class="app-card-control" style="width: 198px;">
                            <mat-form-field [appearance]="apperance" class="full-width m-0 p-0" style="height: 56px;">
                                <mat-label>Time Slot Size</mat-label>
                                <mat-select formControlName="timeSlotSize">
                                    <mat-option *ngFor="let val of ['Small', 'Medium', 'Default', 'Large', 'Big']" [value]="val">
                                        {{ val }}
                                    </mat-option>
                                </mat-select>
                            </mat-form-field>
                        </div>
                    </div>
                </div>

                <!-- ALLOW BOOKING OUTSIDE SCHEDULE HOURS -->
                <div class="col-12 app-card margin-20px">
                    <div class="d-flex align-items-center w-100">

                        <div class="app-card-content-wrapper">
                            <div class="app-card-title">Allow Booking Outside Schedule Hours</div>
                            <div class="app-card-content">
                                If enabled, application will allow user to create bookings (Appt or Class) outside of Practitioner's scheduled hours for this location. Otherwise, application will not allow user to create booking outside of Practitioner's Scheduled hours.
                            </div>
                        </div>

                        <div class="app-card-control">
                            <kendo-switch class="small" formControlName="isAllowBookingOutsideScheduleHours" [onLabel]="'On'" [offLabel]="'Off'"></kendo-switch>
                        </div>
                    </div>
                </div>

                <!-- SHOW WAITING ROOM -->
                <div class="col-12 app-card margin-20px">
                    <div class="d-flex align-items-center w-100">

                        <div class="app-card-content-wrapper">
                            <div class="app-card-title">Show Waiting Room</div>
                            <div class="app-card-content">
                                If enabled, application will show Waiting Room icon in the scheduler and Waiting Room Arrived / Dissmissed option will be available in Appt bubble pop. Otherwise there will be no Waiting Room icon in scheduler and the Waiting Room Arrived / Dissmissed
                                option will not be available in Appt bubble pop.
                            </div>
                        </div>

                        <div class="app-card-control">
                            <kendo-switch class="small" formControlName="isShowWaitRoom" [onLabel]="'On'" [offLabel]="'Off'"></kendo-switch>
                        </div>
                    </div>
                </div>

                <!-- DOUBLE BOKING -->
                <div class="col-12 app-card margin-20px">
                    <div class="d-flex align-items-center w-100">

                        <div class="app-card-content-wrapper">
                            <div class="app-card-title">Double Booking</div>
                            <div class="app-card-content">
                                If enabled, application will allow user to book two appointments for any practitioner at the same time slot in the scheduler.
                            </div>
                        </div>

                        <div class="app-card-control">
                            <kendo-switch class="small" formControlName="isDoubleBooking" [onLabel]="'On'" [offLabel]="'Off'"></kendo-switch>
                        </div>
                    </div>
                </div>

                <!-- PATIENT ONLINE BOOKING -->
                <div class="col-12 app-card margin-20px">
                    <div class="d-flex align-items-center w-100">

                        <div class="app-card-content-wrapper">
                            <div class="app-card-title">Patient Online Booking</div>
                            <div class="app-card-content">
                                If enabled, application will allow patients to make online booking for this location.
                            </div>
                        </div>

                        <div class="app-card-control">
                            <kendo-switch class="small" formControlName="isPatientOnlineBooking" [onLabel]="'On'" [offLabel]="'Off'"></kendo-switch>
                        </div>
                    </div>
                </div>

                <!-- SCHEDULER COLOR -->
                <div class="col-12 app-card margin-20px">
                    <div class="d-flex align-items-center w-100">

                        <div class="app-card-content-wrapper">
                            <div class="app-card-title">Scheduler Color</div>
                            <div class="app-card-content">
                                The selected color will be set as the background color for the scheduler of this location.
                            </div>
                        </div>

                        <div class="app-card-control">
                            <kendo-colorpicker formControlName="calendarColor" [format]="'hex'"></kendo-colorpicker>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</mat-dialog-content>

<mat-divider class="mt-2"></mat-divider>
<mat-dialog-actions align="end" class="m-0" style="height: 82px; padding: 0 20px;">

    <button mat-stroked-button color="accent" mat-dialog-close>Cancel</button>
    <button mat-raised-button (click)="onSave()" color="accent" cdkFocusInitial>Apply</button>
</mat-dialog-actions>
